onEvent('item.registry', event => {
event.create('withering_dust').displayName('Иссушающая пыль')
event.create('dust_wheat').displayName('Мука')
event.create('confusing_dust').displayName('Связующий элемент порошок')
event.create('soul_machine_dye').displayName('Натуральное порошковое покрытие для души')
event.create('powder_soul').displayName('Порошок души')
event.create('powder_photovoltaic').displayName('Фотогальванический композит')
event.create('powder_infinity').displayName('§9Зерна бесконечности').tooltip('§8Может выпасть только из руды зёрен бесконечности с небольшим шансом').tooltip('§8Can only fall out of infinity ore with a small chance')
event.create('powder_ender').displayName('Порошок из жемчуга Края')
event.create('powder_ardite').displayName('Ардитовый порошок')
event.create('organic_green_dye').displayName('Органическая зеленая краска')
event.create('organic_brown_dye').displayName('Органическая коричневая краска')
event.create('organic_black_dye').displayName('Органическая черная краска')
event.create('clayed_glowstone').displayName('Глинистый светящийся камень')
event.create('infinity_goop').displayName('Бесконечный порошок')
event.create('enhanced_machine_dye').displayName('Улучшенное машинное покрытие')
event.create('machine_dye').displayName('Порошковое покрытие органической машины')
event.create('dust_pyrotheum').displayName('Пыль пиротеума')
event.create('vibrant_powder').displayName('Вибрирующая пыль')
event.create('platinum_dust').displayName('Платиновая пыль')
})

onEvent('block.loot_tables', event => {
event.addBlock('kubejs:infinity_ore', table => {
table.addPool(pool => {
pool.survivesExplosion()
pool.addItem('kubejs:powder_infinity', 1, [1, 3])})})
})

onEvent('tags.items', event => {
event.add('forge:dusts', 'kubejs:platinum_dust')
event.add('forge:dusts/platinum', 'kubejs:platinum_dust')
})